## flatpak 0.6.11

=== debian/changelog ===
flatpak (0.6.11-1ubuntu0.16.10.0) yakkety-security; urgency=medium

  * SECURITY UPDATE: bubblewrap escape via TIOCSTI ioctl (LP: #1657357)
    - Fixed in d/p/Use-seccomp-to-filter-out-TIOCSTI-ioctl.patch:
      Add patch from upstream 0.8.1 to prevent contained apps from using
      TIOCSTI ioctl. This would let the app inject commands into the
      terminal from which it was invoked. Prevent the attack here
      by using seccomp to filter out TIOCSTI ioctl.
    - CVE-2017-5226
  * SECURITY UPDATE: Prevent writing to per-user installed fonts and
    Flatpak extensions (typically locales)
    - Fixed in d/p/Make-sure-all-mounted-sources-are-read-only.patch:
      Add patch from upstream 0.8.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2017 06:00:41 -0500

flatpak (0.6.11-1) unstable; urgency=medium

  * New upstream release
    - install new man pages flatpak-flatpakrepo(5), flatpak-flatpakref(5)
  * Install Flatpak-1.0.typelib to multiarch path (Closes: #838308)
  * Make gir1.2-flatpak-1.0 Multi-arch: same
  * Make libflatpak-dev depend on gir1.2-flatpak-1.0 in accordance
    with the g-i mini-policy
  * Relicense debian/ under LGPL, with permission from David King
  * Register flatpak-docs.html in the Debian doc-base system

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Sep 2016 19:01:32 +0100

flatpak (0.6.10-1) unstable; urgency=medium

  * New upstream release
    - d/libflatpak0.symbols: update
    - Build-depend on ostree 2016.10
    - Bump bubblewrap (build-)dependencies to 0.1.2
    - Drop all patches except
      d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      all applied upstream
    - Demote libpam-systemd from Depends to Recommends. It is no longer
      mandatory to be running systemd --user, since flatpak 0.6.10
      identifies contained processes via their
      /proc/$pid/root/.flatpak-info instead of via cgroups
  * d/copyright: mention the Autoconf permissive license of acinclude.m4
  * Make libflatpak-dev Multi-Arch: same

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Sep 2016 08:28:19 +0100

flatpak (0.6.9-1) unstable; urgency=medium

  * New upstream release
    - d/control: libgsystem is no longer required
    - d/copyright: update for new libglnx
    - drop most patches, applied upstream
  * Drop unused build-dependency on docbook-xsl-doc-html.
    It is documentation about docbook-xsl, so isn't needed at build-time.
  * Expand build-dependencies to what we would use if no tests are skipped.
    In practice buildds disallow some of what the tests do, but we shouldn't
    rely on that.
  * d/patches: cherry-pick various post-release bug fixes from upstream
  * Build-depend on attr, and make flatpak-tests depend on it, for better
    test coverage if /var/tmp supports xattrs
  * Build-depend on fuse, so we can run fusermount if supported
  * Make flatpak-tests depend on ostree instead of using d/tests/control
  * d/p/make-test-runtime-cope-with-Debian-s-Python-2.7-configura.patch,
    add patch to make more build-time tests pass
  * d/p/Tell-build-time-tests-which-bwrap-we-are-going-to-use.patch:
    skip tests that cannot be run because we are in an environment where
    bwrap fails
  * d/p/test_install_launch_uninstall-consistently-check-for-GErr.patch:
    add patch to improve diagnostics on some test failures
  * d/p/document-portal-cope-with-multiple-events-that-would-caus.patch:
    in the document portal, don't crash if there is more than one reason
    to exit
  * Remove unused lintian overrides
  * Add lintian override for flatpak-system-helper.service.
    It is deliberately missing an [Install] section (so enabling it for
    eager startup is not possible), because it is intended to be
    started via D-Bus activation.
  * d/p/Terminate-gpg-agent-after-using-it-for-tests.patch:
    add patch to terminate gpg-agent processes after use
  * Terminate any further stray gpg-agent processes when running tests

 -- Simon McVittie <smcv@debian.org>  Wed, 07 Sep 2016 22:42:09 +0100

flatpak (0.6.8-1) unstable; urgency=medium

  * New upstream release
    - d/copyright: source files are now licensed as LGPL-2.1+
    - d/flatpak.install: install systemd snippet to configure dbus.service
      with flatpak in XDG_DATA_DIRS
    - d/control, d/rules: build-depend on xmlto and enable all documentation
    - d/flatpak.install: install documentation for the command-line tools,
      and i18n
    - d/p/dist/Add-flatpak-metadata.xml-from-upstream-git.patch:
      Add missing flatpak-metadata.xml from upstream git, which was not
      included in the released tarball
  * d/p/unrpm-prevent-shell-injection.patch: Avoid shell injection
    when building a Flatpak from an RPM
  * d/p/Wait-for-locks-in-TEST_DATA_DIR-to-be-released-before-del.patch:
    Drop patch, it does not appear to make testing pass on ci.debian.net
    as I had hoped
  * d/tests: mark test-extensions.sh to only be run in virtual machines,
    in the hope that when ci.debian.net gets a qemu runner, it will
    work there

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Aug 2016 15:19:41 +0100

flatpak (0.6.7-2) unstable; urgency=medium

  * d/p/libtest-replace-dbus-launch-with-dbus-daemon.patch:
    Add patch to stop using dbus-launch in the tests
  * d/p/Wait-for-locks-in-TEST_DATA_DIR-to-be-released-before-del.patch:
    Add patch to avoid a race condition during testing between the
    container's "init" process shutting down, and libtest.sh proceeding
    with cleanup in response to the container's main process (which
    exits first) shutting down

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Jul 2016 09:12:38 +0100

flatpak (0.6.7-1) unstable; urgency=medium

  * New upstream release
    - drop all patches except d/p/debian/*, applied upstream
    - d/libflatpak0.symbols: update for new ABIs
    - d/control: depend and build-depend on OSTree 2016.6
    - d/tests/control: flatpak-builder test now needs git
  * Depend on system bubblewrap (Closes: #824647)

