=== debian/tests/control ===
Tests: build
Depends:
 build-essential,
 libflatpak-dev,

Tests: builder
Depends:
 flatpak-builder,
 flatpak-tests,
 git,
 gnome-desktop-testing,
 make,

Tests: gnome-desktop-testing
Depends:
 flatpak-tests,
 gnome-desktop-testing,

Tests: extensions
Restrictions: isolation-machine
Depends:
 flatpak-tests,
 gnome-desktop-testing,
