=== debian/watch ===
version=4
https://github.com/flatpak/flatpak/releases .*/flatpak-(\d\S*)\.tar\.xz
