=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  attr,
- bubblewrap (>= 0.1.2),
+ bubblewrap (>= 0.1.5),
  ca-certificates,
  dbus,
  debhelper (>= 9),
@@ -34,7 +34,7 @@
  libgirepository1.0-dev,
  libglib2.0-dev,
  libjson-glib-dev,
- libostree-dev (>= 2016.10),
+ libostree-dev (>= 2016.15),
  libpolkit-gobject-1-dev,
  libseccomp-dev,
  libsoup2.4-dev,
@@ -53,7 +53,7 @@
 Package: flatpak
 Architecture: linux-any
 Depends:
- bubblewrap (>= 0.1.2),
+ bubblewrap (>= 0.1.5),
  fuse,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -115,11 +115,13 @@
  desktop-file-utils,
  flatpak (= ${binary:Version}),
  hicolor-icon-theme,
- gtk-update-icon-cache | libgtk-3-bin,
+ gtk-update-icon-cache | libgtk-3-bin, 
  ostree,
  shared-mime-info,
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ python,
 Description: Application deployment framework for desktop apps (tests)
  Flatpak installs, manages and runs sandboxed desktop application bundles.
  See the flatpak package for a more comprehensive description.
@@ -148,7 +150,7 @@
  gir1.2-flatpak-1.0 (= ${binary:Version}),
  libflatpak0 (= ${binary:Version}),
  libglib2.0-dev,
- libostree-dev (>= 2016.6),
+ libostree-dev (>= 2016.15),
  pkg-config,
  ${misc:Depends},
 Description: Application deployment framework for desktop apps (development)
@@ -176,7 +178,7 @@
 Architecture: linux-any
 Section: libs
 Depends:
- bubblewrap (>= 0.1.2),
+ bubblewrap (>= 0.1.5),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:
