## flatpak 0.8.5

=== debian/changelog ===
flatpak (0.8.5-1) unstable; urgency=medium

  * New upstream bugfix release
  * Upstream security fixes:
    - dbus-proxy: Fix a use-after-free (no specific exploit is known)
      and several memory leaks
    - system-helper: Correct the check that was meant to prevent
      unprivileged users from downgrading system-wide-installed apps
    - Do not allow downgrading apps to validly-signed older versions
      unless a specific older version is requested, so that a
      man-in-the-middle cannot cause a downgrade to an older app
      version with a vulnerability
  * Other upstream fixes:
    - Increase GLib build-dependency to 2.44 (in practice this was
      already required, there is a patch in jessie-backports to
      relax this)
    - Collect system extension references from all system directories,
      not just the first that exists (upstream issue 654)
    - Stop using ostree trivial-httpd, which is not available in
      post-stretch ostree (upstream issues 658, 723)
    - Be build-time compatible with post-stretch ostree (upstream
      issue 756)
    - Strip ?query suffix before detecting whether a URI points to a
      .flatpakref or .flatpakrepo file (upstream issue 659)
    - Fix a typo in help output
  * d/tests/control: most tests now require python, for the
    ostree-trivial-httpd replacement

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Apr 2017 16:35:44 +0100

flatpak (0.8.4-3) unstable; urgency=medium

  * Mark the one remaining patch as applied in 0.9.1
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Mar 2017 18:43:51 +0000

flatpak (0.8.4-2) experimental; urgency=medium

  * Explicitly build-depend on automake. Otherwise, the aspcud resolver
    used in experimental sometimes chooses automake1.11 as the best
    solution to dh-autoreconf's dependency on automake | automaken,
    causing FTBFS.
    - Set the dependency to 1.14.1 since flatpak is known to build
      successfully with that version in jessie-backports, whereas older
      versions are not known to work.

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Mar 2017 13:59:18 +0000

flatpak (0.8.4-1) experimental; urgency=medium

  * New upstream bugfix release
    - Don't add flatpak directories to XDG_DATA_DIRS if already present
    - Do add flatpak directories to XDG_DATA_DIRS if it already has
      a non-default value
    - Improve progress estimates and reporting for UI frontends
    - Fill in many missing options in man pages
    - Support extensions that apply to multiple versions, particularly
      useful for OpenGL drivers
    - Support extensions that do not depend on any specific runtime,
      particularly useful for proprietary OpenGL drivers packaged with
      a static binary helper
    - Various fixes for error checking and crashes
    - Make flatpak_get_system_installations() return an array that owns
      (takes responsibility for freeing) its contents. This is
      technically an ABI break, but it makes this function consistent
      with others that have a similar signature, and nothing in Debian
      uses it yet.
    - Disable spliced reads in the FUSE file system, which don't appear
      to work
    - Make FamilyWild xauth tokens available in the sandbox, not
      just FamilyLocal
    - Fix a misleading message on systems without systemd --user:
      it now disables an optional feature without breaking sandboxing
  * Add patch simplifying profile.d snippet
  * Initially upload to experimental since this is relatively large
    for a stable-branch release

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Mar 2017 13:00:05 +0000

flatpak (0.8.3-1) unstable; urgency=medium

  * New upstream bugfix release
    - fixes portals' ability to identify confined apps
      (Closes: #855129)
    - better support for third-party (proprietary) OpenGL drivers
    - better handling of errors for extra-data
    - handle extra-data properly for runtimes (as well as apps)
    - respect required version for runtimes (as well as apps)
    - flatpak list: Don't break if some local ref is not deployed
    - builder: Look for appstream data in /app/share/metadata also
    - builder: Fix buildsystem=cmake builds
    - Add progress reporting to extra-data download
    - Fix uid/gid for directories in document portal
  * Duplicate the profile.d snippet in /etc/X11/Xsession.d so it
    applies to X11 sessions, not just login shells. This matches the
    upstream intention: X11 sessions have traditionally run in a login
    shell on Red Hat derivatives, but not in Debian derivatives.
    (Closes: #846338)

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Feb 2017 14:14:45 +0000
