=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: flatpak
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  attr,
+ automake (>= 1.14.1),
  bubblewrap (>= 0.1.5),
  ca-certificates,
  dbus,
- debhelper (>= 9),
+ debhelper (>= 10~),
  desktop-file-utils,
- dh-autoreconf,
  dh-exec,
- dh-systemd,
  docbook-xml,
  docbook-xsl,
  fuse,
@@ -23,7 +21,7 @@
  gnome-desktop-testing,
  gobject-introspection,
  gtk-doc-tools,
- gtk-update-icon-cache | libgtk-3-bin,
+ gtk-update-icon-cache,
  hicolor-icon-theme,
  libarchive-dev (>= 2.8.0),
  libattr1-dev,
@@ -32,7 +30,7 @@
  libelf-dev,
  libfuse-dev,
  libgirepository1.0-dev,
- libglib2.0-dev,
+ libglib2.0-dev (>= 2.44),
  libjson-glib-dev,
  libostree-dev (>= 2016.15),
  libpolkit-gobject-1-dev,
@@ -60,7 +58,7 @@
 Recommends:
  desktop-file-utils,
  hicolor-icon-theme,
- gtk-update-icon-cache | libgtk-3-bin,
+ gtk-update-icon-cache,
  libpam-systemd,
  shared-mime-info,
 Conflicts:
@@ -115,7 +113,7 @@
  desktop-file-utils,
  flatpak (= ${binary:Version}),
  hicolor-icon-theme,
- gtk-update-icon-cache | libgtk-3-bin, 
+ gtk-update-icon-cache,
  ostree,
  shared-mime-info,
  ${misc:Depends},
