=== debian/control ===
--- 
+++ 
@@ -6,23 +6,22 @@
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- attr,
+ attr <!nocheck>,
  automake (>= 1.14.1),
  bubblewrap (>= 0.1.5),
- ca-certificates,
+ ca-certificates <!nocheck>,
  dbus,
  debhelper (>= 10~),
- desktop-file-utils,
+ desktop-file-utils <!nocheck>,
  dh-exec,
  docbook-xml,
  docbook-xsl,
- fuse,
- git,
- gnome-desktop-testing,
+ fuse <!nocheck>,
+ git <!nocheck>,
  gobject-introspection,
  gtk-doc-tools,
- gtk-update-icon-cache,
- hicolor-icon-theme,
+ gtk-update-icon-cache <!nocheck>,
+ hicolor-icon-theme <!nocheck>,
  libarchive-dev (>= 2.8.0),
  libattr1-dev,
  libcap-dev,
@@ -38,12 +37,15 @@
  libsoup2.4-dev,
  libxau-dev,
  libxml2-utils,
- ostree,
+ ostree <!nocheck>,
  procps,
- shared-mime-info,
+ shared-mime-info <!nocheck>,
  xmlto,
  xsltproc,
-Standards-Version: 3.9.8
+Build-Depends-Indep:
+ libglib2.0-doc,
+ libostree-doc,
+Standards-Version: 4.0.1
 Homepage: http://flatpak.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/flatpak.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flatpak.git
@@ -61,6 +63,7 @@
  gtk-update-icon-cache,
  libpam-systemd,
  shared-mime-info,
+ xdg-desktop-portal-gtk | xdg-desktop-portal-backend,
 Conflicts:
  xdg-app,
 Replaces:
