## flatpak 0.8.9

=== debian/changelog ===
flatpak (0.8.9-0+deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    - debian/gbp.conf: adjust for this branch
    - debian/control: (build-)depend on libgtk-3-bin, not
      gtk-update-icon-cache
    - d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      try to use gtk-update-icon-cache-3.0 before gtk-update-icon-cache
    - d/p/backport/*.patch, d/control: Relax GLib dependency to 2.42

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Jan 2018 18:33:27 +0000

flatpak (0.8.9-0+deb9u1) stretch; urgency=medium

  * New upstream release backporting the following fixes from 0.10.x:
    - common/flatpak-run.c: Ignore unrecognised permission strings
      instead of failing, for forwards compatibility
    - dbus-proxy/flatpak-proxy.c: Fix a D-Bus filtering bypass in
      flatpak-dbus-proxy (Closes: #888842)
    - profile/flatpak.sh.in: Simplify and improve profile.d snippet
      (already done in Debian since 0.8.4-1, no practical effect)
  * Drop our patch to profile/flatpak.sh.in, no longer necessary
  * debian/control: Update Vcs-* metadata for salsa.d.o migration

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jan 2018 14:49:40 +0000

flatpak (0.8.8-0+deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    - debian/gbp.conf: adjust for this branch
    - debian/control: (build-)depend on libgtk-3-bin, not
      gtk-update-icon-cache
    - d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      try to use gtk-update-icon-cache-3.0 before gtk-update-icon-cache
    - d/p/backport/*.patch, d/control: Relax GLib dependency to 2.42

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Jan 2018 18:25:52 +0000

flatpak (0.8.8-0+deb9u1) stretch; urgency=medium

  * d/watch: Watch for new 0.8.x versions
  * New upstream release from 0.8.x branch, backporting the following
    fixes from 0.10.x:
    - Add compatibility with ostree ≥ 2017.7 (in Debian, the same
      changes were already in 0.8.7-2)
    - Security: Do not allow legacy eavesdropping on the D-Bus
      session bus (Closes: #880451)
    - Ensure that LD_LIBRARY_PATH is in the correct order, respecting
      extensions' priorities
    - Ensure that extensions are mounted in the correct order even if
      they have differing priorities, fixing Steam
    - Remove PYTHONPATH, PERLLIB, PERL5LIB, XCURSOR_PATH from the
      environment given to sandboxed apps
    - Give each app a persistent cache directory for fontconfig
    - Make /usr/share/icons available in the sandbox so that sandboxed
      apps can use the host's icon theme
    - Disable debug-level FUSE logging for the document portal
    - Make the * wildcard at the end of a D-Bus filtering rule match
      zero or more components, so --talk="com.example.Foo.*" behaves
      the same as D-Bus' arg0namespace="com.example.Foo". Previously,
      it would only match exactly one component. This matches a proposed
      design for integrating equivalent filtering into future dbus
      versions.
  * d/p/0.8.8/: Drop patches that added compatibility with
    ostree ≥ 2017.7, no longer necessary

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Oct 2017 18:51:01 +0000

flatpak (0.8.7-2~deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie
    - debian/gbp.conf: adjust for this branch
    - debian/control: (build-)depend on libgtk-3-bin, not
      gtk-update-icon-cache
    - d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      try to use gtk-update-icon-cache-3.0 before gtk-update-icon-cache
    - d/p/backport/*.patch, d/control: Relax GLib dependency to 2.42

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Dec 2017 10:36:18 +0000

flatpak (0.8.7-2~deb9u1) stretch; urgency=medium

  * Rebuild for stretch
  * Merge changelog from stretch-security
  * debian/gbp.conf: Switch branch to debian/stretch

 -- Simon McVittie <smcv@debian.org>  Mon, 31 Jul 2017 08:44:53 +0100

flatpak (0.8.5-2+deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie
    - debian/gbp.conf: adjust for this branch
    - debian/control: (build-)depend on libgtk-3-bin, not
      gtk-update-icon-cache
    - d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      try to use gtk-update-icon-cache-3.0 before gtk-update-icon-cache
    - d/p/backport/*.patch, d/control: Relax GLib dependency to 2.42

 -- Simon McVittie <smcv@debian.org>  Fri, 30 Jun 2017 07:49:40 +0100

flatpak (0.8.5-2+deb9u1) stretch-security; urgency=high

  * d/p/Ensure-we-don-t-install-world-writable-dirs-or-setuid-fil.patch:
    Patch from upstream stable release 0.8.7.
    Prevent deploying files with inappropriate permissions
    (world-writable, setuid, etc.) (Closes: #865413)
  * d/p/dir-Ensure-.local-share-flatpak-is-0700.patch:
    Patch from upstream stable release 0.8.7.
    Make ~/.local/share/flatpak private to user to defend against app
    vendors that might have released files with inappropriate permissions
    in the past

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Jun 2017 12:05:49 +0100

flatpak (0.8.5-1~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie
    - debian/gbp.conf: adjust for this branch
    - debian/control: (build-)depend on libgtk-3-bin, not
      gtk-update-icon-cache
    - d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      try to use gtk-update-icon-cache-3.0 before gtk-update-icon-cache
    - d/p/backport/*.patch, d/control: Relax GLib dependency to 2.42

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Apr 2017 10:30:34 +0100

flatpak (0.8.3-1~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie
    - debian/gbp.conf: adjust for this branch
    - debian/control: (build-)depend on libgtk-3-bin, not
      gtk-update-icon-cache
    - d/p/debian/Try-gtk-3.0-version-of-the-icon-cache-utility-first.patch:
      try to use gtk-update-icon-cache-3.0 before gtk-update-icon-cache

