=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- attr <!nocheck>,
+ attr,
  automake (>= 1.14.1),
  bubblewrap (>= 0.1.5),
- ca-certificates <!nocheck>,
+ ca-certificates,
  dbus,
  debhelper (>= 10~),
- desktop-file-utils <!nocheck>,
+ desktop-file-utils,
  dh-exec,
  docbook-xml,
  docbook-xsl,
- fuse <!nocheck>,
- git <!nocheck>,
+ fuse,
+ git,
+ gnome-desktop-testing,
  gobject-introspection,
  gtk-doc-tools,
- gtk-update-icon-cache <!nocheck>,
- hicolor-icon-theme <!nocheck>,
+ hicolor-icon-theme,
  libarchive-dev (>= 2.8.0),
  libattr1-dev,
  libcap-dev,
@@ -29,7 +29,8 @@
  libelf-dev,
  libfuse-dev,
  libgirepository1.0-dev,
- libglib2.0-dev (>= 2.44),
+ libglib2.0-dev (>= 2.40),
+ libgtk-3-bin,
  libjson-glib-dev,
  libostree-dev (>= 2016.15),
  libpolkit-gobject-1-dev,
@@ -37,18 +38,15 @@
  libsoup2.4-dev,
  libxau-dev,
  libxml2-utils,
- ostree <!nocheck>,
+ ostree,
  procps,
- shared-mime-info <!nocheck>,
+ shared-mime-info,
  xmlto,
  xsltproc,
-Build-Depends-Indep:
- libglib2.0-doc,
- libostree-doc,
-Standards-Version: 4.0.1
+Standards-Version: 3.9.8
 Homepage: http://flatpak.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/flatpak.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flatpak.git
+Vcs-Git: https://salsa.debian.org/debian/flatpak.git
+Vcs-Browser: https://salsa.debian.org/debian/flatpak
 
 Package: flatpak
 Architecture: linux-any
@@ -60,7 +58,7 @@
 Recommends:
  desktop-file-utils,
  hicolor-icon-theme,
- gtk-update-icon-cache,
+ libgtk-3-bin,
  libpam-systemd,
  shared-mime-info,
  xdg-desktop-portal-gtk | xdg-desktop-portal-backend,
@@ -116,7 +114,7 @@
  desktop-file-utils,
  flatpak (= ${binary:Version}),
  hicolor-icon-theme,
- gtk-update-icon-cache,
+ libgtk-3-bin,
  ostree,
  shared-mime-info,
  ${misc:Depends},
