=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --parallel --with=autoreconf,gir,systemd
+	dh $@ --with=gir
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -24,6 +24,9 @@
 		$(NULL)
 
 override_dh_install:
+	install -d debian/tmp/etc/X11/Xsession.d
+	install -m644 debian/tmp/etc/profile.d/flatpak.sh \
+		debian/tmp/etc/X11/Xsession.d/20flatpak
 	rm -f debian/tmp/usr/lib/*/*.la
 	dh_install --fail-missing
