=== debian/watch ===
version=4
https://github.com/@PACKAGE@/@PACKAGE@/releases .*/@PACKAGE@-(0\.8\.\S*)@ARCHIVE_EXT@
